Create approval request
curl --request POST \
--url https://api.sandbox.tesouro.com/finops/v1/approval-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>' \
--data '
{
"object_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"required_approval_count": 2,
"user_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"approval_type": "user_ids"
}
'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/approval-requests"
payload = {
"object_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"required_approval_count": 2,
"user_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"approval_type": "user_ids"
}
headers = {
"x-finops-version": "<x-finops-version>",
"x-organization-id": "<x-organization-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-finops-version': '<x-finops-version>',
'x-organization-id': '<x-organization-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
object_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
required_approval_count: 2,
user_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
approval_type: 'user_ids'
})
};
fetch('https://api.sandbox.tesouro.com/finops/v1/approval-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"approval_type": "user_ids",
"approved_by": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"object_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object_type": "account",
"required_approval_count": 2,
"status": "waiting",
"user_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"created_by": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
"reject_reason": "<string>",
"rejected_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"submitted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Approval requests
Create approval request
POST
/
finops
/
v1
/
approval-requests
Create approval request
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The ID of the entity that owns the requested resource.
Example:
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Body
application/json
- Option 1
- Option 2
- Option 3
Discriminated union of approval request creation types.
Validate with ApprovalRequestCreateRequest.model_validate(payload) or .model_validate_json(json_string); .model_dump() returns the underlying request's fields directly (RootModel unwraps automatically).
Available options:
account, accounting_config, accounting_tax_rate, approval, approval_request, approval_policy, approval_policy_process, audit_trail, bank_account, comment, cost_center, counterpart, counterpart_address, counterpart_bank_account, counterpart_contact_person, counterpart_partner_metadata, counterpart_tax_id, counterpart_vat_id, delivery_note, einvoicing, entity, entity_bank_account, entity_settings, entity_token, entity_user, entity_user_token, entity_vat_ids, export, ledger_account, mailbox, monitescript_process, ocr_task, onboarding, overdue_reminder, partner, partner_internal_config, partner_settings, partner_token, payable, payable_line_item, payables_credit_note, payables_purchase_order, payment, payment_intent, payment_link, payment_record, payment_reminder, person, product, project, receivable, reconciliation, recurrence, receipt, role, tag, todo_task, todo_task_mute, transaction, transaction_validation, webhook, workflow, workflow_pipeline Required range:
x >= 1Minimum array length:
1Allowed value:
"user_ids"Response
Successful Response
Available options:
user_ids, role, reporting_manager Available options:
account, accounting_config, accounting_tax_rate, approval, approval_request, approval_policy, approval_policy_process, audit_trail, bank_account, comment, cost_center, counterpart, counterpart_address, counterpart_bank_account, counterpart_contact_person, counterpart_partner_metadata, counterpart_tax_id, counterpart_vat_id, delivery_note, einvoicing, entity, entity_bank_account, entity_settings, entity_token, entity_user, entity_user_token, entity_vat_ids, export, ledger_account, mailbox, monitescript_process, ocr_task, onboarding, overdue_reminder, partner, partner_internal_config, partner_settings, partner_token, payable, payable_line_item, payables_credit_note, payables_purchase_order, payment, payment_intent, payment_link, payment_record, payment_reminder, person, product, project, receivable, reconciliation, recurrence, receipt, role, tag, todo_task, todo_task_mute, transaction, transaction_validation, webhook, workflow, workflow_pipeline Required range:
x >= 1Available options:
waiting, approved, rejected, canceled ID of the user who created the approval request, or None if it was created by the system (e.g. by an approval policy worker).
Example:
"ea837e28-509b-4b6a-a600-d54b6aa0b1f5"
Was this page helpful?